Skip to content

Get order book​

GET
/v1/marketdata/{currencyPair}/orderbook

Returns a list of the top 40 bids and asks in the order book. Ask orders are sorted by price ascending. Bid orders are sorted by price descending. Orders of the same price are aggregated.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Path Parameters

currencyPair*

The currency pair symbol (e.g., BTCZAR, ETHZAR)

Type
string
Required

Responses​

Order book retrieved successfully

application/json
JSON
{
"Asks": [
{
"side": "sell",
"quantity": "0.998418",
"price": "118000",
"currencyPair": "BTCUSDC",
"orderCount": 1
}
],
"Bids": [
{
"side": "buy",
"quantity": "0.0001",
"price": "117820",
"currencyPair": "BTCUSDC",
"orderCount": 1
}
],
"LastChange": "2025-08-05T08:51:11.470Z",
"SequenceNumber": 2907775
}

Playground​

Authorization
Variables
Key
Value

Samples​